const webpack = require('webpack')
const merge = require('webpack-merge')
const webpackBase = require('./webpack.base.config')
const appConfig = require('../utils/get-app-config')

// webpackBase.output.publicPath = `${appConfig.appServerPath}`
webpackBase.output.publicPath = '/'

module.exports = merge(webpackBase, {
  plugins: [
    new webpack.DefinePlugin({
      'process.env': {
        NODE_ENV: '"development"'
      },
    })
  ]
})